aboutsummaryrefslogtreecommitdiff
path: root/app/office
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-12 15:29:06 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-12 15:29:06 +0000
commitda7c9c5321ab89d8d54c836a19e7e70f5e62314f (patch)
tree09cedd8f6fb813b48a481c823dca23a6b9552627 /app/office
parent7f979d9efa797326b907c0020b5b5bda7d97deb2 (diff)
downloadslackbuilds-da7c9c5321ab89d8d54c836a19e7e70f5e62314f.tar.gz
slackbuilds-da7c9c5321ab89d8d54c836a19e7e70f5e62314f.tar.bz2
adicao do kxmleditor e atualização dos scripts: exiv2; vamps; broffice->2.3;sqlite
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1422 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/office')
-rwxr-xr-xapp/office/broffice/broffice.SlackBuild150
1 files changed, 49 insertions, 101 deletions
diff --git a/app/office/broffice/broffice.SlackBuild b/app/office/broffice/broffice.SlackBuild
index d9b75c1d..7f7f9a09 100755
--- a/app/office/broffice/broffice.SlackBuild
+++ b/app/office/broffice/broffice.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# broffice.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# broffice.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# broffice.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# broffice.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for broffice originally for version 2.1.0, updated by rafael2k.
-# http://ftp.unicamp.br/pub/broffice/stable/2.1.0/
-#
-# Author: Rudson R Alves
+# slackbuild for broffice, by Rudson R. Alves
+# requires: Null
+# tested: broffice-2.3.0
#
# Look for slackbuildrc
@@ -27,37 +28,20 @@ fi
# Set variables
CWD="$(pwd)"
-SRC_NAME="broffice"
+SRC_NAME="BrOo"
PKG_NAME="broffice"
-ARCH=i586
-SRC_VERSION=${VERSION:=2.2.1}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.3.0}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr}
+PREFIX=${PREFIX:=/usr/share/broffice.org2.3}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-#CONF_OPTIONS=${CONF_OPTIONS:=}
-
-SLACK_NEW=$( cat /etc/slackware-version | cut -d" " -f2 | egrep '(11.[1-9]|1[2-9].[0-9]).*$' )
-
-# Set system libraries' path and optmization flags based on $ARCH
-LIBDIR="$PREFIX/lib"
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:=""}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
@@ -73,33 +57,26 @@ rm -rf "$PKG" 2> /dev/null
mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
-mkdir -p "$PKG_SRC" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="BrOo_${SRC_VERSION}_20070529_LinuxIntel_install_RPMS_pt-BR.tar.gz"
-URL="http://ftp.unicamp.br/pub/broffice/stable/2.2.1/$SRC"
+SRC="${SRC_NAME}_${VERSION}_LinuxIntel_install_pt-BR_rpm.tar.gz"
+URL="http://linorg.usp.br/BrOffice.org/stable/2.3.0//$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Download source's MD5 checksum if necessary and check it
-if [ ! -s "$SRC_DIR/md5sum.txt" ]; then
- wget "${URL//$SRC}md5sum.txt" -O "$SRC_DIR/md5sum.txt" || exit $ERROR_WGET
-fi
-
-MD5SUM_SRC="$(md5sum "$SRC_DIR/$SRC" | cut -d " " -f 1)"
-MD5SUM_URL="$(grep "$SRC[ \t]*$" "$SRC_DIR/md5sum.txt" | cut -d " " -f 1)"
-
-[ "$MD5SUM_SRC" == "$MD5SUM_URL" ] || exit $ERROR_MD5
# Untar
+mkdir -p $PKG_SRC
cd $PKG_SRC
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+mv $PKG_SRC/OOG680_m5_native_packed-1_pt-BR.9221/* $PKG_SRC/
+rm -rf $PKG_SRC/OOG680_m5_native_packed-1_pt-BR.9221
cd $PKG_SRC/RPMS
+
# Convert packges and install
-ALLPKGS=$( ls *.rpm | wc -l )
for i in *.rpm; do
echo -e "\nconvert $i"
rpm2tgz $i || exit $ERROR_TAR
@@ -107,60 +84,32 @@ for i in *.rpm; do
done
rm *.rpm 2>/dev/null
-# Converte links to KDE - retirado p/ ooffice 2.2.1, jah exite um pacote para slackware
+# Convert links to KDE
cd desktop-integration
-echo -e "\nconvert broffice.org-suse-menus*.rpm"
-rpm2tgz broffice.org-suse-menus*.rpm || exit $ERROR_TAR
-tar xvf broffice.org-suse-menus*.tgz -C $PKG || exit $ERROR_TAR
+echo -e "\ninstall broffice.org-slackware-menus-2.3*.rpm"
+tar xvf broffice.org-slackware-menus-2.3*.tgz -C $PKG || exit $ERROR_TAR
rm *.rpm *.deb 2>/dev/null
cd ..
-# fix opt layout
-mkdir $PKG/usr
-mv $PKG/opt/* $PKG/usr/
+# Change opt directory
+#mkdir $PKG/usr
+mv $PKG/opt/broffice.org2.3 $PKG/usr/share/
-mv $PKG/usr/kde3/share/* $PKG/usr/share/
+mv $PKG/opt/kde/share/* $PKG/usr/share/
rm -rf $PKG/opt
-rm -rf $PKG/usr/kde3
-
-cd $PKG/usr/bin
-rm * 2>/dev/null
-
-# broffice.org-2.2.1
-cat << EOFBROFFICE > $PKG/usr/bin/broffice.org-2.2.1
-#!/bin/sh
-exec /usr/broffice.org2.2/program/soffice \$@
-EOFBROFFICE
-
-# broffice.org-2.2.1-printeradmin
-cat << EOFBRADMIN > $PKG/usr/bin/broffice.org-2.2.1-printeradmin
-#!/bin/sh
-exec /usr/broffice.org2.2/program/spadmin
-EOFBRADMIN
-
-chmod +x *
-ln -s ../../usr/broffice.org2.2/program/soffice soffice
-
-mkdir -p $PKG/usr/share/applications
-cd $PKG/usr/share/applications
-rm broffice.org2.2-*.desktop 2>/dev/null
-ln -s ../../broffice.org2.2/share/xdg/base.desktop broffice.org2.2-base.desktop
-ln -s ../../broffice.org2.2/share/xdg/calc.desktop broffice.org2.2-calc.desktop
-ln -s ../../broffice.org2.2/share/xdg/draw.desktop broffice.org2.2-draw.desktop
-ln -s ../../broffice.org2.2/share/xdg/extension.desktop broffice.org2.2-extension.desktop
-ln -s ../../broffice.org2.2/share/xdg/impress.desktop broffice.org2.2-impress.desktop
-ln -s ../../broffice.org2.2/share/xdg/math.desktop broffice.org2.2-math.desktop
-ln -s ../../broffice.org2.2/share/xdg/printeradmin.desktop broffice.org2.2-printeradmin.desktop
-ln -s ../../broffice.org2.2/share/xdg/qstart.desktop broffice.org2.2-qstart.desktop
-ln -s ../../broffice.org2.2/share/xdg/writer.desktop broffice.org2.2-writer.desktop
-cd $PKG/usr/bin
-mkdir -p "$PKG/usr/bin" || exit $ERROR_MKDIR
-ln -s broffice.org-2.2.1 broffice.org2.2
-
-# Install documentation
-mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-mv $PKG/usr/broffice.org2.2/licenses/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
-mv $PKG/usr/broffice.org2.2/readmes/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
+
+# Change doinstall install directory
+sed 's/\/opt\/broffice.org2.3/\/usr\/share\/broffice.org2.3\//' $PKG/install/doinst.sh > $PKG/install/doinst.sh.new
+mv $PKG/install/doinst.sh.new $PKG/install/doinst.sh
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
@@ -172,16 +121,16 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler----------------------------------------------------|
-broffice: BrOffice.org Versão $VERSION
+ |-----handy-ruler-----------------------------------------------------|
+broffice: BrOffice.org by Slack.Sarava
broffice:
broffice: Pacote do BrOffice construído a partir do pacote rpm pelo
broffice: broffice.Slackbuild.
broffice:
-broffice: O BrOffice.org/OpenOffice.org é uma suíte de escritório feito
+broffice: O BrOffice.org/OpenOffice.org é uma suíte de escritório feito
broffice: inicialmente pela Star Division, e atualmente pela Sun (com alguma
-broffice: participação da 'comunidade'), e é composto por: Writer - editor;
-broffice: Calc - planilha; Impress - apresentações; Draw - desenhos vetoriais;
+broffice: participação da 'comunidade'), e é composto por: Writer - editor;
+broffice: Calc - planilha; Impress - apresentações; Draw - desenhos vetoriais;
broffice: Math - Editor de equações; Base - Banco de dados.
broffice: http://www.openoffice.org.br
EODESC
@@ -194,4 +143,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-